Loading...
Searching...
No Matches
hlist_head Struct Reference
Simple doubly linked list implementation

Double linked lists with a single pointer list head. More...

`#include <linuxlist.h>`

## Data Fields

struct hlist_node * | first

## Detailed Description

Double linked lists with a single pointer list head.

Mostly useful for hash tables where the two pointer list head is too wasteful. You lose the ability to access the tail in O(1).

## Field Documentation

## first

struct hlist_node* hlist_head::first

Referenced by hlist_move_list().

The documentation for this struct was generated from the following file:

- include/osmocom/core/linuxlist.h